<?php

namespace Slack\Blockkit\Blocks;

final class TextEmoji
{
	public bool $emoji;
	public string $text;
	public string $type;

	public function __construct(string $text,bool $emoji=TRUE)
	{
		$this->emoji = $emoji;
		$this->text = $text;
		$this->type = 'plain_text';
	}

	public static function item(string $text,bool $emoji=TRUE): self
	{
		return new self($text,$emoji);
	}
}