<?php

namespace Slack\Blockkit\Input;

final class Element
{
	public string $type;
	public string $action_id;
	public bool $multiline;

	public function __construct(string $type,string $action_id,bool $multiline=FALSE)
	{
		$this->type = $type;
		$this->action_id = $action_id;
		$this->multiline = $multiline;
	}

	public static function item(string $type,string $action_id,bool $multiline=FALSE): self
	{
		return new self($type,$action_id,$multiline);
	}
}