<?php

namespace Slack\Event;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;

/**
 * Catch all unknown slack event that we havent specifically programmed for.
 *
 * @package Slack\Event
 */
class Unknown extends Base
{
	public function __construct(array $request)
	{
		Log::notice(sprintf('SEU:UNKNOWN Slack Event received [%s]',get_class($this)),['m'=>__METHOD__]);

		parent::__construct($request);
	}
}
