<?php

namespace Slack\Models;

use Illuminate\Database\Eloquent\Model;
use Leenooks\Traits\ScopeActive;

class Enterprise extends Model
{
	use ScopeActive;

	protected $fillable = ['enterprise_id'];
	protected $table = 'slack_enterprises';

	/* RELATIONS */

	public function teams()
	{
		return $this->hasMany(Team::class);
	}
}
