<?php

namespace Slack\Options;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;

/**
 * Catch all unknown slack event that we havent specifically programmed for.
 *
 * @package Slack\Options
 */
class Unknown extends Base
{
	public function __construct(Request $request)
	{
		Log::notice(sprintf('SOU:UNKNOWN Slack Interaction Option received [%s]',get_class($this)),['m'=>__METHOD__]);

		parent::__construct($request);
	}
}
