<?php

namespace Slack;

use Illuminate\Support\Collection;

/**
 * Class BlockKit - Slack Blockit Objects
 *
 * @package Slack
 */
class BlockKit implements \JsonSerializable
{
	protected Collection $_data;

	public function __construct()
	{
		$this->_data = collect();
	}

	public function count()
	{
		return $this->_data->count();
	}

	public function jsonSerialize()
	{
		return $this->_data;
	}
}
