<?php

namespace Slack\Blockkit\Blocks;

use Slack\Blockkit\Input\Element;

final class Input
{
	public string $type;
	public Element $element;
	public TextEmoji $label;

	public function __construct(Element $element,TextEmoji $label)
	{
		$this->type = 'input';
		$this->element = $element;
		$this->label = $label;
	}

	public static function item(Element $element,TextEmoji $label): self
	{
		return new self($element,$label);
	}
}