<?php

namespace Slack\Command;

use Slack\Message;
use Slack\Message\Attachments;

class Help extends Base
{
	private const LOGKEY = 'SH-';

	public function respond(): Message
	{
		$o = new Message;

		$o->setText('Hi, I am a *NEW* Bot');

		// Version
		$a = new Attachments;
		$a->addField('Version',config('app.version','unknown'),TRUE);
		$o->setAttachments($a);

		return $o;
	}
}
