<?php

namespace Slack\Interactive;

use Illuminate\Support\Arr;

/**
 * Class ViewClosed
 * [type] => view_closed
 * [team] => stdClass Object
 * (
 *   [id] => {SLACKTEAM}
 *   [domain] => {SLACKDOMAIN}
 * )
 * [user] => stdClass Object
 * (
 *   [id] => {SLACKUSER}
 *   [username] => {SLACKUSER}
 *   [name] => {SLACKUSER}
 *   [team_id] => {SLACKTEAM}
 * )
 * [api_app_id] => A4TCZ007N
 * [token] => Oow8S2EFvrZoS9z8N4nwf9Jo
 * [view] => stdClass Object
 * (
 *   [id] => V01DRFF9SKT
 *   [team_id] => {SLACKTEAM}
 *   [type] => modal
 *   [blocks] => Array
 *    (
 *    )
 *   [private_metadata] =>
 *   [callback_id] => askme-products
 *   [state] => stdClass Object
 *   (
 *   [values] => stdClass Object
 *   (
 *   )
 *   [hash] => 1603754939.JuTA8UTb
 *   [title] => stdClass Object
 *   (
 *     [type] => plain_text
 *     [text] => AskMe Products
 *     [emoji] => 1
 *   )
 *   [clear_on_close] =>
 *   [notify_on_close] => 1
 *   [close] => stdClass Object
 *   (
 *     [type] => plain_text
 *     [text] => Close
 *     [emoji] => 1
 *   )
 *   [submit] =>
 *   [previous_view_id] =>
 *   [root_view_id] => V01DRFF9SKT
 *   [app_id] => A4TCZ007N
 *   [external_id] =>
 *   [app_installed_team_id] => T159T77TM
 *   [bot_id] => B4TC0EYKU
 * )
 * [is_cleared] =>
 *
 * @package Slack\Interactive
 */
class ViewClosed extends Base
{
	private const LOGKEY = 'IVC';

	public function __get($key)
	{
		switch ($key) {
			case 'callback_id':
				return object_get($this->_data,'view.callback_id');

			// An event can have more than 1 action, each action can have 1 value.
			case 'action_id':
				return object_get(Arr::get(object_get($this->_data,'actions'),$this->index),$key);

			case 'view':
				return object_get($this->_data,$key);

			default:
				return parent::__get($key);
		}
	}
}
