<?php

namespace Slack\Response;

final class ChannelList extends Base
{
	protected const LOGKEY = 'RCL';

	/**
	 * Enable getting values for keys in the response
	 *
	 * @note: This method is limited to certain values to ensure integrity reasons
	 */
	public function __get($key)
	{
		switch ($key) {
			case 'havemore':
				return object_get($this->_data,'response_metadata.next_cursor');
			case 'channels':
				return object_get($this->_data,$key);
		}
	}
}
