<?php

namespace Slack\Response;

/**
 * This is a Generic Slack Response to API calls
 */
class Generic extends Base
{
	protected const LOGKEY = 'RGE';

	/**
	 * Enable getting values for keys in the response
	 *
	 * @note: This method is limited to certain values to ensure integrity reasons
	 */
	public function __get($key)
	{
		switch ($key) {
			case 'view_id':
				return object_get($this->_data,'view.id');

			default:
				return parent::__get($key);
		}
	}
}
