<?php

namespace Slack\Response;

/**
 * This is the Slack Response to an Auth Test API call
 */
class Test extends Base
{
	protected const LOGKEY = 'RTE';

	/**
	 * Enable getting values for keys in the response
	 *
	 * @note: This method is limited to certain values to ensure integrity reasons
	 */
	public function __get($key)
	{
		switch ($key) {
			case 'bot_id':
			case 'is_enterprise_install':
			case 'team':
			case 'url':
			case 'user':
				return object_get($this->_data,$key);

			default:
				return parent::__get($key);
		}
	}
}
